Script Packages - List

List ScriptPackage resources by PrivateCloud

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AVS/privateClouds/{privateCloudName}/scriptPackages?api-version=2025-09-01

URI Parameters

Name In Required Type Description
privateCloudName
path True

string

pattern: ^[-\w\._]+$

Name of the private cloud

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ScriptPackagesList

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

ScriptPackages_List

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/group1/providers/Microsoft.AVS/privateClouds/cloud1/scriptPackages?api-version=2025-09-01

Sample response

{
  "value": [
    {
      "name": "Microsoft.AVS.Management@3.0.48",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/group1/providers/Microsoft.AVS/privateClouds/cloud1/scriptPackages/Microsoft.AVS.Management@3.0.48",
      "properties": {
        "description": "Various cmdlets for elevated access to Private Cloud administrative functions",
        "version": "3.0.48",
        "company": "Microsoft",
        "uri": "https://microsoft.com"
      },
      "type": "Microsoft.AVS/privateClouds/scriptPackages"
    },
    {
      "name": "JSDR.Configuration@1.0.0",
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/group1/providers/Microsoft.AVS/privateClouds/cloud1/scriptPackages/JSDR.Configuration@1.0.0",
      "properties": {
        "description": "Various cmdlets by Jetstream for Private Cloud administration",
        "version": "1.0.0",
        "company": "Jetstream Software",
        "uri": "https://www.jetstreamsoft.com/about/support/"
      },
      "type": "Microsoft.AVS/privateClouds/scriptPackages"
    }
  ]
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ScriptPackage

Script Package resources available for execution

ScriptPackageProvisioningState

Script Package provisioning state

ScriptPackagesList

The response of a ScriptPackage list operation.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ScriptPackage

Script Package resources available for execution

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.company

string

Company that created and supports the package

properties.description

string

User friendly description of the package

properties.provisioningState

ScriptPackageProvisioningState

The provisioning state of the resource.

properties.uri

string

Link to support by the package vendor

properties.version

string

Module version

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ScriptPackageProvisioningState

Script Package provisioning state

Value Description
Succeeded

Resource has been created.

Failed

Resource creation failed.

Canceled

Resource creation was canceled.

ScriptPackagesList

The response of a ScriptPackage list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

ScriptPackage[]

The ScriptPackage items on this page

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.